%global dlrn_nvr ironic-tempest-plugin-2.3.0-2.20220709024917.c77d2ae
%global dlrn 1
%define upstream_version 2.3.0
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility
%global service ironic
%global plugin ironic-tempest-plugin
%global module ironic_tempest_plugin
%global with_doc 0

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global common_desc \
This package contains Tempest tests to cover the Ironic and Ironic-Inspector \
project. Additionally it provides a plugin to automatically load these \
tests into Tempest.

Name:       python-%{service}-tests-tempest
Version: 2.3.0
Release: 2.20220709024917.c77d2ae%{?dist}
Summary:    Tempest Integration of Ironic and Ironic-Inspector Project
License:    ASL 2.0
URL:        https://git.openstack.org/cgit/openstack/%{plugin}/

Source0: ironic-tempest-plugin-2.3.0-2.20220709024917.c77d2ae.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=c77d2aebe3f85f1aa38a3561dc3a2eec6ed38e69

BuildArch:  noarch

BuildRequires:  git
BuildRequires:  openstack-macros

%description
%{common_desc}

%package -n python%{pyver}-%{service}-tests-tempest
Summary: %{summary}
%{?python_provide:%python_provide python%{pyver}-%{service}-tests-tempest}

BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-pbr
BuildRequires:  python%{pyver}-setuptools

Obsoletes:   python-ironic-tests < 1:10.1.1
Obsoletes:   python-ironic-inspector-tests < 7.2.0

Requires:   python%{pyver}-tempest >= 1:18.0.0
Requires:   python%{pyver}-pbr >= 3.1.1
Requires:   python%{pyver}-oslo-config >= 2:5.2.0
Requires:   python%{pyver}-oslo-log >= 3.36.0
Requires:   python%{pyver}-oslo-serialization >= 2.18.0
Requires:   python%{pyver}-oslo-utils >= 3.33.0
Requires:   python%{pyver}-six => 1.10.0
Requires:   python%{pyver}-fixtures >= 3.0.0

%description -n python%{pyver}-%{service}-tests-tempest
%{common_desc}

%if 0%{?with_doc}
%package -n python-%{service}-tests-tempest-doc
Summary:        python-%{service}-tests-tempest documentation

BuildRequires:  python%{pyver}-sphinx
BuildRequires:  python%{pyver}-openstackdocstheme

%description -n python-%{service}-tests-tempest-doc
It contains the documentation for the ironic tempest plugin.
%endif

%prep
%autosetup -n %{plugin}-%{upstream_version} -S git

# Let's handle dependencies ourseleves
%py_req_cleanup
# Remove bundled egg-info
rm -rf %{module}.egg-info

%build
%{pyver_build}

# Generate Docs
%if 0%{?with_doc}
sphinx-build -W -b html doc/source doc/build/html
# remove the sphinx build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

%install
%{pyver_install}

%files -n python%{pyver}-%{service}-tests-tempest
%license LICENSE
%doc README.rst
%{pyver_sitelib}/%{module}
%{pyver_sitelib}/*.egg-info

%if 0%{?with_doc}
%files -n python-%{service}-tests-tempest-doc
%doc doc/build/html
%license LICENSE
%endif

%changelog
* Fri Jul 08 2022 OSP Prod Chain <dev-null@redhat.com> 2.3.0-2.20220709024917.c77d2ae
- Update patches
- Remove train testing from ironic-tempest-plugin
- Update min version of tox to use allowlist
- Add Wallaby jobs
- Use get_service_clients framework with basic Secure RBAC
- setup.cfg: Replace dashes with underscores
- Remove /extra/vif_port_id usage
- Reconfigure tox.ini
- Fix byte check in tempest plugin
- Run redfish victoria job on focal
- Tear down raid sets
- Set safe version of hacking
- Test case for uefi-https-boot in standalone ironic
- Move stable jobs one version higher
- Wait for power off before allocation tests
- Enforce check on flake8 E129 test
- Test software RAID in deploy-time on Victoria and newer
- Set min version of tox to 3.2.1
- Ramdisk iso boot tempest scenario test
- Fix hacking min version to 3.0.1
- Improve test_baremetal_basic_ops
- Add py38 package metadata
- Switch to newer openstackdocstheme version
- Add standalone redfish jobs
- Add stable/ussuri job on master gate
- Update docs building
- Add basic IPv6 support to BaremetalSingleTenant
- Actually log state transition timeouts in debug log
- Upgrade flake8-import-order version to 0.17.1
- Split Tempest tests between ipmi and redfish
- Bump hacking to 3.0.0
- Upddate tox config
- Use service_available
- Remove check for API version in validate_scheduling
- Change default driver
- Refactor validate_ports function
- Test cases for iLO driver in standalone ironic
- Remove the SW RAID configuration
- [ussuri][goal] Drop python 2.7 support and testing
- SW RAID: Delete root device hint
- Remove Rocky and Queens jobs
- Use override-checkout instead of override-branch
- [trivial] fix legacy driver reference
- Enforce running tox with correct python version based on env
- Avoid referenced before assignment in retry_on_conflict
- Make local boot explicit on software raid tests
- Remove use of deprecated config options for volume API selection
- Actually test rescue in the standalone job
- Make the multinode job non-voting
- Explicitly use Python 2 in the stable jobs
- Allow introspection some time to start in ironic-inspector
- Add CI jobs for Train stable branches
- Fix an issue when nodes are not available in standalone test
- Enable boot_option to be specified

* Fri Jun 24 2022 OSP Prod Chain <dev-null@redhat.com> 1.5.1-2.20220625024856.11b8aac
- Update patches

* Mon Jan 10 2022 OSP Prod Chain <dev-null@redhat.com> 1.5.1-2.20220110234500.11b8aac
- Update patches

* Thu Jun 03 2021 CPaaS User <cpaas-ops@redhat.com> - 1.5.1-2.20210527180411.11b8aac.1
- Bump release

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 1.5.1-2.20210527180411.11b8aac
- Update patches

* Wed Dec 16 2020 OSP Prod Chain <dev-null@redhat.com> 1.5.1-1
- Update patches

* Fri Oct 30 2020 OSP Prod Chain <dev-null@redhat.com> 1.5.1-1
- Update patches

* Mon Jul 20 2020 OSP Prod Chain <dev-null@redhat.com> 1.5.1-1
- Update patches

* Wed Jul 15 2020 OSP Prod Chain <dev-null@redhat.com> 1.5.1-1
- Update patches

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> 1.5.1-1
- Update patches

* Thu Feb 27 2020 OSP Prod Chain <dev-null@redhat.com> 1.5.1-1
- Add CI jobs for Train stable branches
- Fix an issue when nodes are not available in standalone test
- Add CI jobs for Train stable branches
- Fix an issue when nodes are not available in standalone test

* Wed Oct 02 2019 OSP Prod Chain <dev-null@redhat.com> 1.5.1-1
- Update patches
- Merge "Add CI jobs for Train stable branches"
- Add CI jobs for Train stable branches

* Mon Sep 30 2019 RDO <dev@lists.rdoproject.org> 1.5.1-1
- Update to 1.5.1


